
Foreman - Bug #3845

user login session ending clears chosen organization

12/10/2013 01:03 PM - Thomas McKay

Status: Closed   

Priority: High   

Assignee: Stephen Benjamin   

Category: Organizations and Locations   

Target version: 1.4.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When session expires and user is prompted to login again, the previously selected organization context is lost. This means that when

returning to a katello engine page authorization is denied (since katello currently requires an org).

Related issues:

Related to Foreman - Feature #8385: Restore context to last used taxonomies a... New 11/13/2014

Has duplicate Foreman - Bug #4193: session timeout needs to restore previousl... Duplicate 01/27/2014

Associated revisions

Revision f639fdcf - 02/14/2014 11:39 AM - Stephen Benjamin

fixes #3845 - user login session ending clears chosen organization

Revision 86bd96ab - 02/19/2014 11:08 AM - Stephen Benjamin

fixes #3845 - user login session ending clears chosen organization

(cherry picked from commit f639fdcfb04d2795396d66e64cfb58e300a63188)

History

#1 - 02/11/2014 03:15 AM - Stephen Benjamin

- Assignee set to Stephen Benjamin

- Target version set to 1.9.1

PR: https://github.com/theforeman/foreman/pull/1229

#2 - 02/11/2014 08:59 AM - Dominic Cleal

- Status changed from New to Ready For Testing

#3 - 02/11/2014 01:04 PM - Dominic Cleal

- Has duplicate Bug #4193: session timeout needs to restore previously selected org added

#4 - 02/14/2014 11:44 AM - Dominic Cleal

- Category set to Organizations and Locations

- translation missing: en.field_release set to 5

#5 - 02/14/2014 12:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f639fdcfb04d2795396d66e64cfb58e300a63188.

#6 - 11/13/2014 09:23 AM - Dominic Cleal
https://github.com/theforeman/foreman/pull/1229
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/f639fdcfb04d2795396d66e64cfb58e300a63188


- Related to Feature #8385: Restore context to last used taxonomies at log in added
